Known Issues in GroupWise Mobility 2014 R2 SP1#
2.1 Shares requirements#
GroupWise 2014 R2 SP1 or later POAs are required for share owners and recipients to enable shares for users.

This is listed under the known issues section, so does this mean that in order to have shared calendars and folders sync over to the phones my Groupwise Environment must be at Groupwise 2014 R2 SP1 as well? I currently have Groupwise 2014 SP2 and was going to upgrade my GMS to 2014 R2 SP1 to allow syncing of shared calendars if possible.